/**
 * DevExtreme (esm/renovation/ui/grids/data_grid_light/views/table_content.js)
 * Version: 22.1.0 (build 21357-0315)
 * Build date: Thu Dec 23 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["columns", "dataSource"];
import {
    createVNode,
    createFragment,
    createComponentVNode
} from "inferno";
import {
    Fragment
} from "inferno";
import {
    BaseInfernoComponent
} from "@devextreme/runtime/inferno";
import {
    Table
} from "../widgets/table";
import {
    DataRow
} from "../widgets/data_row";
export var viewFunction = viewModel => createVNode(1, "div", "dx-datagrid-rowsview dx-datagrid-nowrap dx-datagrid-after-headers", createVNode(1, "div", "dx-datagrid-content", createComponentVNode(2, Table, {
    children: createFragment(viewModel.props.dataSource.map((data, rowIndex) => createComponentVNode(2, DataRow, {
        rowIndex: rowIndex,
        data: data,
        columns: viewModel.props.columns
    }, rowIndex)), 0)
}), 2), 2, {
    role: "presentation"
});
export var TableContentProps = {
    get dataSource() {
        return []
    },
    get columns() {
        return []
    }
};
export class TableContent extends BaseInfernoComponent {
    constructor(props) {
        super(props);
        this.state = {}
    }
    get restAttributes() {
        var _this$props = this.props,
            restProps = _objectWithoutPropertiesLoose(_this$props, _excluded);
        return restProps
    }
    render() {
        var props = this.props;
        return viewFunction({
            props: _extends({}, props),
            restAttributes: this.restAttributes
        })
    }
}
TableContent.defaultProps = TableContentProps;
