/**
 * DevExtreme (esm/renovation/ui/grids/data_grid_light/widgets/header_row.js)
 * Version: 22.1.0 (build 21357-0315)
 * Build date: Thu Dec 23 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["columns"];
import {
    createVNode
} from "inferno";
import {
    BaseInfernoComponent
} from "@devextreme/runtime/inferno";
export var viewFunction = viewModel => createVNode(1, "tr", "dx-row dx-column-lines dx-header-row", viewModel.props.columns.map((dataField, index) => createVNode(1, "td", "dx-datagrid-action dx-cell-focus-disabled", createVNode(1, "div", "dx-datagrid-text-content dx-text-content-alignment-left", dataField, 0, {
    role: "presentation"
}), 2, {
    "aria-selected": "false",
    role: "columnheader",
    id: "dx-col-".concat(index + 1),
    "aria-label": "Column ".concat(dataField),
    "aria-sort": "none",
    tabIndex: 0
}, index)), 0, {
    role: "row"
});
export var HeaderRowProps = {
    get columns() {
        return []
    }
};
export class HeaderRow extends BaseInfernoComponent {
    constructor(props) {
        super(props);
        this.state = {}
    }
    get restAttributes() {
        var _this$props = this.props,
            restProps = _objectWithoutPropertiesLoose(_this$props, _excluded);
        return restProps
    }
    render() {
        var props = this.props;
        return viewFunction({
            props: _extends({}, props),
            restAttributes: this.restAttributes
        })
    }
}
HeaderRow.defaultProps = HeaderRowProps;
